#SAY --- Installing system tables of SYSDBA needed for DBLOAD ...
# =====================================================
# @(#) DBLOAD.py                 7.2.01.02   1999-10-06
# =====================================================
#
#
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#

from installib import *

def install (session,options):
    """Installing basic elements DBLOAD
    """

    repmanCmd (session, 'INSTALLATION ON')

    repmanCmd (session, 'AUTOCOMMIT OFF')

    rc = sqlRC (session, """SELECT DESCRIPTION
        FROM SYSDD.XPARAMETERS
        WHERE DESCRIPTION = '_UNICODE'
        AND "VALUE" = 'YES'""")

    if rc == 0:

        stopIfSqlNotErr (session, -6006, 'CREATE DOMAIN SYSID CHAR(32) UNICODE')

    else:

        stopIfSqlNotErr (session, -6006, 'CREATE DOMAIN SYSID CHAR(64)')

    stopIfSqlNotErr (session, -6000,
        """CREATE TABLE "SYS%CAT1"
           (K    CHAR(48)   BYTE,
           INFO CHAR(3900) BYTE,
           PRIMARY KEY (K)
           )
           INTERNAL""")

    stopIfSqlNotErr (session, -6000,
        """CREATE TABLE "SYS%CAT2"
           (K    CHAR(48)   BYTE,
           INFO CHAR(3900) BYTE,
           PRIMARY KEY (K)
           )
           INTERNAL""")

    stopIfSqlNotErr (session, -6000,
        """CREATE TABLE DUAL (DUMMY CHAR(1) ASCII) INTERNAL""")

    stopIfSqlNotOK (session, "INSERT INTO DUAL VALUES ('a')")

    stopIfSqlNotOK (session, "GRANT SELECT ON DUAL TO PUBLIC")

    stopIfSqlNotOK (session, "COMMIT")

    repmanCmd (session, 'INSTALLATION OFF')

if __name__ == '__main__':
    connectAndInstall (install, "Installing tables for DBLOAD\n")


