#
# =====================================================
# @(#) QP                        7.2        1999-07-29
# =====================================================
# Changes in  7.2:
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#


import string
from installib import *
import sapdb

def connectAsUtility (options):
    pos = string.find (options.user, ',')
    username = string.upper(options.user [:pos])
    pwd = string.upper(options.user [pos + 1:])
#   print username, pwd, options.db, options.node
    result = sapdb.utilitySession (username, pwd, options.db, options.node)
    return result

def sqlScriptRC ( sqlSession, sqlStr ):

        result = 0

        try:
            sqlSession.sql ( sqlStr )
        except sapdb.SQLError, err:
            result = err.errorCode

        return result

def isUnicodeDB (session):
    cursor = session.sql ("""SELECT \"Description\"
        FROM DOMAIN.INFO_PARAMETERS
        WHERE \"Description\"= '_UNICODE'
        AND \"Value\" = 'NO'
    """)
    if cursor == None:
        # PTS 1110521
        return 1
    elif cursor.next ():
        return None
    else:
        return 1

def installTermcharset (utilitySession, name, definition):
    if not isUnicodeDB (utilitySession):

        try:
            utilitySession.sql ('drop termchar set ' + name)
        except sapdb.SQLError, err:
            if err.errorCode != -4015:
                raise
        utilitySession.sql ('create termchar set ' + name + ' as ' + definition)

def install (session,options):
    """Installing termchar sets
    """

#   To get the sysdba user free for the following switch to DOMAIN
#
    repmanCmd (session, 'USE USER DOMAIN %s' % options.dompwd)

    repmanCmd (session, 'INSTALLATION ON')

    utilitySession = connectAsUtility (options)

    installTermcharset (utilitySession, 'IBM437_GER', """
       ASCII ENABLE WITH
       X'C4' TO X'8E' FOR 'A-Umlaut',
       X'E4' TO X'84' FOR 'a-Umlaut',
       X'D6' TO X'99' FOR 'O-Umlaut',
       X'F6' TO X'94' FOR 'o-Umlaut',
       X'DC' TO X'9A' FOR 'U-Umlaut',
       X'FC' TO X'81' FOR 'u-Umlaut',
       X'DF' TO X'E1' FOR 'sz',
       X'A7' TO X'15' FOR 'Paragraf'""")

    installTermcharset (utilitySession, 'USASCII_GER', """
        ASCII ENABLE WITH
        X'C4' TO X'5B' FOR 'A-Umlaut',
        X'E4' TO X'7B' FOR 'a-Umlaut',
        X'D6' TO X'5C' FOR 'O-Umlaut',
        X'F6' TO X'7C' FOR 'o-Umlaut',
        X'DC' TO X'5D' FOR 'U-Umlaut',
        X'FC' TO X'7D' FOR 'u-Umlaut',
        X'DF' TO X'7E' FOR 'sz'""")

    utilitySession.commit ()
    utilitySession.release ()

    repmanCmd (session, 'INSTALLATION OFF')

    switchToDefaultUser (session, options)


if __name__ == '__main__':
    connectAndInstall (install, install.__doc__)

