#
# =====================================================
# @(#) XDDCOM                    7.2        1999-07-29
# =====================================================
# Changes in  7.2:
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#


from installib import *

def install (session,options):
    """Installing comments for DOMAIN tables
    """

    repmanCmd (session, 'INSTALLATION ON')

    repmanCmd (session, 'AUTOCOMMIT OFF')


    # Table domain.charsets

    #COMMENT ON TABLE DOMAIN.CHARSETS IS 'All CHARACTER SETs on the SERVERDB""")

    #COMMENT ON COLUMN DOMAIN.CHARSETS.CODE IS 'CHARACTER SET name""")

    # Table domain.columns

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.COLUMNS IS 'Columns of all tables, views, synonyms and results accessible to the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.OWNER IS 'Owner name of the table, view, synonym, result'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.TABLENAME IS 'Table, view, synonym or result name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.COLUMNNAME IS 'Column name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.MODE IS 'Mode of the column (key / man / opt)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.DATATYPE IS 'Data type of the column (boolean / char / date / fixed / float / integer / long / smallint / time / timestamp)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.CODETYPE IS 'Code type of the column (ascii / ebcdic / byte)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.LEN IS 'Length or precision of the column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS."DEC" IS 'Digits to the right of the decimal point in a FIXED-type column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.DEFAULT IS 'Default value for the column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.DOMAINOWNER IS 'Owner name of the domain'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.DOMAINNAME IS 'Domain name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.POS IS 'Original position of the column in the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.KEYPOS IS 'Original position of the key in the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.CREATEDATE IS 'Creation date of the column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.CREATETIME IS 'Creation time of the column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.ALTERDATE IS 'Alteration date of the column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.ALTERTIME IS 'Alteration time of the column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.TABLETYPE IS 'Type of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.COLUMNS.COMMENT IS 'Comment on columns of accessible tables and views'""")

    # Table domain.connectedusers

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.CONNECTEDUSERS IS 'All connected users'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.CONNECTEDUSERS.USERNAME IS 'User name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.CONNECTEDUSERS.TERMID IS 'Terminal identification'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.CONNECTEDUSERS.SESSION IS 'Session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.CONNECTEDUSERS.CATALOG_CACHE_SIZE IS 'Catalog cache size'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.CONNECTEDUSERS.DBPROC_CACHE_SIZE IS 'Database procedure cache size'""")

    # Table domain.connectparameters

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.CONNECTPARAMETERS IS 'Connect parameters for current user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.CONNECTPARAMETERS.SQLMODE IS 'SQLMODE'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.CONNECTPARAMETERS.ISOLEVEL IS 'ISOLATION LEVEL'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.CONNECTPARAMETERS.TIMEOUT IS 'Value for the session timeout'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.CONNECTPARAMETERS.TERMCHARSETNAME IS 'TERMCHAR SET name'""")

    # PTS 1105303

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.CONNECTPARAMETERS.SESSION IS 'Session'""")

    #COMMENT ON COLUMN DOMAIN.CONNECTPARAMETERS.CHARACTERSETNAME IS 'CHARACTER SET name""")

    # Table domain.constraints

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.CONSTRAINTS IS '<constraint_definition> on accessible tables'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.CONSTRAINTS.OWNER IS 'Owner name of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.CONSTRAINTS.TABLENAME IS 'Name of the table with the <constraint_definition>'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.CONSTRAINTS.CONSTRAINTNAME IS '<constraint_definition> name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.CONSTRAINTS.DEFINITION IS '<constraint_definition> text'""")

    # Table domain.dbprocedures

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.DBPROCEDURES IS 'Database procedures accessible to the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCEDURES.OWNER IS 'Owner name of the database procedure'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCEDURES.DBPROCNAME IS 'Database procedure name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCEDURES.PACKAGE IS 'Package of database procedure'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCEDURES.PARAMETER IS 'Number of parameters of the database procedure'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCEDURES.CREATEDATE IS 'Creation date of the database procedure'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCEDURES.CREATETIME IS 'Creation time of the database procedure'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCEDURES.EXECUTION_KIND IS 'Execution kind  of database procedure (inproc / local / remote)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCEDURES.SQL_SUPPORT IS 'Database procedure may contain SQL statements (yes / no)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCEDURES.REMOTE_LOCATION IS 'location where database procedure is executed (EXECUTION_KIND remote only)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCEDURES.COMMENT IS 'Comment on the database procedure'""")

    # Table domain.packages

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.PACKAGES IS 'Packages accessible to the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.PACKAGES.OWNER IS 'Owner name of the package'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.PACKAGES.PACKAGE IS 'Package name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.PACKAGES.CREATEDATE IS 'Creation date of the package'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.PACKAGES.CREATETIME IS 'Creation time of the package'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.PACKAGES.EXECUTION_KIND IS 'Execution kind  of the package (inproc / local / remote)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.PACKAGES.SQL_SUPPORT IS 'Database procedures of package may contain SQL statements (yes / no)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.PACKAGES.REMOTE_LOCATION IS 'Default execution location for database procedures of package  (EXECUTION_KIND remote only)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.PACKAGES.COMMENT IS 'Comment on the package'""")


    # Table domain.dbprocparams

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.DBPROCPARAMS IS 'Parameters of a database procedure that is accessible to the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCPARAMS.OWNER IS 'Owner name of the database procedure'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCPARAMS.DBPROCNAME IS 'Database procedure name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCPARAMS.PARAMETERNAME IS 'Parameter name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCPARAMS.POS IS 'Original position of the parameter in the database procedure'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCPARAMS."IN/OUT-TYPE" IS 'Mode of the parameter (in / out)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCPARAMS.DATATYPE IS 'Data type of the parameter (boolean / char / date / fixed / float / time / timestamp)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCPARAMS.CODETYPE IS 'Code type of the column (ascii / ebcdic / byte)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCPARAMS.LEN IS 'Length or precision of the parameter'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCPARAMS."DEC" IS 'Digits to the right of the decimal point in a parameter'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCPARAMS.CREATEDATE IS 'Creation date of the database procedure'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DBPROCPARAMS.CREATETIME IS 'Creation time of the database procedure'""")

    # Table domain.domains

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.DOMAINS IS 'All domains'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DOMAINS.OWNER IS 'Owner name of the domain'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DOMAINS.DOMAINNAME IS 'Domain name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DOMAINS.DATATYPE IS 'Data type of the domain (boolean / char / date / fixed / float / integer / long / smallint / time / timestamp)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DOMAINS.CODETYPE IS 'Code type of the domain (ascii / ebcdic / byte)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DOMAINS.LEN IS 'Length or precision of the domain'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DOMAINS."DEC" IS 'Digits to the right of the decimal point in a FIXED-type domain'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DOMAINS.DEFAULT IS 'Default value for the domain'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DOMAINS.DEFINITION IS 'Text of the domain definition'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DOMAINS.CREATEDATE IS 'Creation date of the domain'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DOMAINS.CREATETIME IS 'Creation time of the domain'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DOMAINS.COMMENT IS 'Comment on the domain'""")

    # Table domain.domainconstraints

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.DOMAINCONSTRAINTS IS '<constraint_definition> for a domain'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DOMAINCONSTRAINTS.OWNER IS 'Owner name of the domain'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DOMAINCONSTRAINTS.DOMAINNAME IS 'Domain name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DOMAINCONSTRAINTS.CONSTRAINTNAME IS '<constraint_definition> name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.DOMAINCONSTRAINTS.DEFINITION IS '<constraint_definition> text'""")

    # Table domain.foreignkeys

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.FOREIGNKEYS IS '<referential_constraint_definition>s accessible to the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.FOREIGNKEYS.OWNER IS 'Owner name of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.FOREIGNKEYS.TABLENAME IS 'Table name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.FOREIGNKEYS.FKEYNAME IS 'Name of the <referential_constraint_definition>'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.FOREIGNKEYS.RULE IS 'Delete rule'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.FOREIGNKEYS.CREATEDATE IS 'Creation date of the <referential_constraint_definition>'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.FOREIGNKEYS.CREATETIME IS 'Creation time of the <referential_constraint_definition>'""")

	# Table domain.foreignkeycolumns

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.FOREIGNKEYCOLUMNS IS 'columns of <referential_constraint_definition>s accessible to the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.FOREIGNKEYCOLUMNS.OWNER IS 'Owner name of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.FOREIGNKEYCOLUMNS.TABLENAME IS 'Table name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.FOREIGNKEYCOLUMNS.COLUMNNAME IS 'Column name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.FOREIGNKEYCOLUMNS.FKEYNAME IS 'Name of the <referential_constraint_definition>'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.FOREIGNKEYCOLUMNS.REFOWNER IS 'Owner name of the referenced table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.FOREIGNKEYCOLUMNS.REFTABLENAME IS 'Table name of the referenced table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.FOREIGNKEYCOLUMNS.REFCOLUMNNAME IS 'Column name in the referenced table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.FOREIGNKEYCOLUMNS.RULE IS 'Delete rule'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.FOREIGNKEYCOLUMNS.CREATEDATE IS 'Creation date of the <referential_constraint_definition>'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.FOREIGNKEYCOLUMNS.CREATETIME IS 'Creation time of the <referential_constraint_definition>'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.FOREIGNKEYCOLUMNS.COMMENT IS 'Comment on the reference'""")

    # Table domain.indexes

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.INDEXES IS 'Indexes accessible to the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXES.OWNER IS 'Owner name of the index'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXES.TABLENAME IS 'Table name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXES.INDEXNAME IS 'Index name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXES.TYPE IS 'Type of the index (unique / null)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXES.INDEX_USED IS 'Count of usage accesses in search situtations'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXES.DISABLED IS 'Index is disabled in search situations (yes/no)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXES.CREATEDATE IS 'Creation date of the index'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXES.CREATETIME IS 'Creation time of the index'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXES.COMMENT IS 'Comment on the index'""")

    # Table domain.indexcolumns

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.INDEXCOLUMNS IS 'Indexes accessible to the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXCOLUMNS.OWNER IS 'Owner name of the index'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXCOLUMNS.TABLENAME IS 'Table name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXCOLUMNS.INDEXNAME IS 'Index name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXCOLUMNS.TYPE IS 'Type of the index (unique / null)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXCOLUMNS.COLUMNNAME IS 'Column name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXCOLUMNS.SORT IS 'Sort order for this column (ASC / DESC)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXCOLUMNS.COLUMNNO IS 'Number of this column in the index'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXCOLUMNS.DATATYPE IS 'Data type of the column (boolean / char / date / fixed / float / integer / long / smallint / time / timestamp)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXCOLUMNS.LEN IS 'Length or precision of the column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXCOLUMNS.DISTINCTVALUES IS 'Number of different values in this column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXCOLUMNS.PAGECOUNT IS 'Number of pages used for the index'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXCOLUMNS.AVGLISTLENGTH IS 'Average number of rows with same values for all columns in the index'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXCOLUMNS.LEN IS 'Length or precision of the column'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXCOLUMNS.CREATEDATE IS 'Creation date of the index'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXCOLUMNS.CREATETIME IS 'Creation time of the index'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXCOLUMNS.INDEX_USED IS 'Count of usage accesses in search situtations'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.INDEXCOLUMNS.COMMENT IS 'Comment on the index'""")

    # Table domain.locks

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.LOCKS IS 'Information about set locks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS.SESSION IS 'Session identifier'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS.TRANSCOUNT IS 'Identifier of transaction in session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS.PROCESS IS 'User process identifier'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS.USERNAME IS 'User name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS."DATE" IS 'Create date of the lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS."TIME" IS 'Create time of the lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS.TERMID IS 'Identifier for the user''s terminal'""")

    #COMMENT ON COLUMN DOMAIN.LOCKS.REMOTEUSER IS '"YES" for lock entries of remote SERVERDBs; otherwise, "NO"""")

    #COMMENT ON COLUMN DOMAIN.LOCKS.PENDINGLOCK IS '"YES" for "pending" locks; otherwise, "NO"""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS.LASTWRITE IS 'Time past since the last write request in timeout intervals'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS.LOCKMODE IS 'Lock mode'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS.LOCKSTATE IS 'Status of the lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS.APPLPROCESS IS 'Application process identifier'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS.APPLNODE IS 'Identifier of client machine'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS.OWNER IS 'Table owner'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS.TABLENAME IS 'Table name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS.TABLEID IS 'Table identifier'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS.ROWIDLENGTH IS 'Length of key of locked row'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS.ROWIDHEX IS 'Prefix of key of locked row in hexadecimal representation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCKS.ROWID IS 'Prefix of key of locked row'""")

    # Table domain.lock_holder

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.LOCK_HOLDER IS 'Information about lock holder used by database manager tools'""")

    # Table domain.lock_requestor

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.LOCK_HOLDER IS 'Information about lock requestor used by database manager tools'""")

    # Table domain.lock_waits

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.LOCK_WAITS IS 'Information about requested locks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.TABLENAME IS 'Table name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.TABLEID IS 'Table identifier'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.H_TERMID IS 'Identifier for the terminal of the lock holding user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.H_PROCESS IS 'Process identifier of lock holding user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.H_APPLPROCESS IS 'Identifier of lock holding application process'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.H_APPLNODE IS 'Identifier of client machine of lock holding application process'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.H_ROWIDHEX IS 'Prefix of key of locked row in hexadecimal representation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.H_ROWID IS 'Prefix of key of locked row'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.H_LOCKMODE IS 'Lock mode'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.H_DATE IS 'Create date of the lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.H_TIME IS 'Create time of the lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.R_TERMID IS 'Identifier for the terminal of the lock requesting user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.R_PROCESS IS 'Process identifier of lock requesting user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.R_APPLPROCESS IS 'Identifier of lock requesting application process'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.R_APPLNODE IS 'Identifier of client machine of lock requesting application process'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.R_ROWIDHEX IS 'Prefix of key of requested row in hexadecimal representation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.R_ROWID IS 'Prefix of key of requested row'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.R_REQMODE IS 'Lock request mode'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.R_DATE IS 'Create date of the request'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.R_TIME IS 'Create time of the request'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.LOCK_WAITS.R_REQTIMEOUT IS 'Time remaining up to the REQUEST_TIMEOUT in seconds'""")

    # Table domain.mapcharsets

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.MAPCHARSETS IS 'All MAPCHAR SETs'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.MAPCHARSETS.MAPCHARSETNAME IS 'Name of the MAPCHAR SET'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.MAPCHARSETS.CODE IS 'Code type for which the MAPCHAR SET was defined (ascii / ebcdic)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.MAPCHARSETS.INTERN IS 'The original form in hexadecimal format'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.MAPCHARSETS.MAP_CODE IS 'The target form in hexadecimal notation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.MAPCHARSETS.MAP_CHARACTER IS 'The target form with printable characters'""")

    # Table domain.parameters

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.PARAMETERS IS 'Used for system internal purposes (DDL trigger)'""")

    # Table domain.sequences

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SEQUENCES IS 'Sequences accessible to the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SEQUENCES.OWNER IS 'Owner name of the sequence'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SEQUENCES.SEQUENCE_NAME IS 'Sequence name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SEQUENCES.MIN_VALUE IS 'Minimum value of the sequence'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SEQUENCES.MAX_VALUE IS 'Maximum value of the sequence'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SEQUENCES.INCREMENT_BY IS 'Value by which sequence is incremented'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SEQUENCES.CYCLE_FLAG IS 'Does sequence wrap around on reaching limit?'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SEQUENCES.ORDER_FLAG IS 'Are sequence numbers generated in order?'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SEQUENCES.CACHE_SIZE IS 'Number of sequence values loaded into the cache'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SEQUENCES.LAST_NUMBER IS 'Last sequence number written to disk'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SEQUENCES.CREATEDATE IS 'Creation date of the sequence'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SEQUENCES.CREATETIME IS 'Creation time of the sequence'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SEQUENCES.COMMENT IS 'Comment on the sequence'""")

    # Table domain.synonyms

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYNONYMS IS 'Synonyms accessible to the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYNONYMS.OWNER IS 'Owner name of the synonym'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYNONYMS.SYNONYMNAME IS 'Synonym name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYNONYMS.PUBLIC IS 'Synonym is PUBLIC (yes / no)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYNONYMS.TABLEOWNER IS 'Owner name of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYNONYMS.TABLENAME IS 'Table name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYNONYMS.CREATEDATE IS 'Creation date of the synonym'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYNONYMS.CREATETIME IS 'Creation time of the synonym'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYNONYMS.COMMENT IS 'Comment on the synonym'""")

    # Table domain.tables

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.TABLES IS 'Tables, views, synonyms, results accessible to the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLES.OWNER IS 'Owner name of the table, view, synonym, result'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLES.TABLENAME IS 'Table, view, synonym, result name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLES.PRIVILEGES IS 'User''s privileges for the table, view, synonym, result'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLES.TYPE IS 'Table type (table / view / synonym / result)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLES.TABLETYPE IS 'Table type (table / view / synonym / result)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLES.CREATEDATE IS 'Creation date of the table, view, synonym, result'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLES.CREATETIME IS 'Creation time of the table, view, synonym, result'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLES.UPDSTATDATE IS 'Date of the last <update_statistics> performed on the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLES.UPDSTATTIME IS 'Time of the last <update_statistics> performed on the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLES.ALTERDATE IS 'Alteration date of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLES.ALTERTIME IS 'Alteration time of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLES.UNLOADED IS 'Table is unloaded (yes / no)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLES.SAMPLE_PERCENT IS 'Sample percent'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLES.SAMPLE_ROWS IS 'Sample rows'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLES.COMMENT IS 'Comment on the table, view, synonym'""")

    # Table domain.tableprivileges

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.TABLEPRIVILEGES IS 'All table privileges of the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLEPRIVILEGES.OWNER IS 'Owner name of the table, view, synonym, result'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLEPRIVILEGES.TABLENAME IS 'Table, view, synonym, result name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLEPRIVILEGES.GRANTOR IS 'User name of the grantor'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLEPRIVILEGES.GRANTEE IS 'User name or role name the privileges are granted to'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLEPRIVILEGES.PRIVILEGE IS 'Granted privileges'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TABLEPRIVILEGES.IS_GRANTABLE IS 'Privilege to grant the table to other users'""")

    # Table domain.termcharsets

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.TERMCHARSETS IS 'All TERMCHAR SETs'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TERMCHARSETS.TERMCHARSETNAME IS 'Name of the TERMCHAR SET'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TERMCHARSETS.CODE IS 'Code type for which the TERMCHAR SET was defined (ascii / ebcdic)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TERMCHARSETS.STATE IS 'TERMCHAR SET is activated (enabled / disabled)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TERMCHARSETS.INTERN IS 'The original form in hexadecimal format'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TERMCHARSETS.EXTERN IS 'The terminal-specific variant in hexadecimal format'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TERMCHARSETS.COMMENT IS 'Comment on the TERMCHAR SET'""")

    # Table domain.triggers

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.TRIGGERS IS 'Triggers accessible to the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TRIGGERS.OWNER IS 'Owner name of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TRIGGERS.TABLENAME IS 'Table name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TRIGGERS.TRIGGERNAME IS 'Trigger name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TRIGGERS.INSERT IS 'Type of the trigger'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TRIGGERS.UPDATE IS 'Type of the trigger'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TRIGGERS.DELETE IS 'Type of the trigger'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TRIGGERS.CREATEDATE IS 'Creation date of the trigger'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TRIGGERS.CREATETIME IS 'Creation time of the trigger'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TRIGGERS.DEFINITION IS 'Text of the trigger definition'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.TRIGGERS.COMMENT IS 'Comment on the trigger'""")

    # Table domain.users

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.USERS IS 'All users'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.OWNER IS 'Owner name of the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.USERNAME IS 'User name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.GROUPNAME IS 'Group name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.USERMODE IS 'Class of the user (sysdba / dba / resource / standard)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.CONNECTMODE IS 'Connect mode (multiple / single)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.PERMLIMIT IS 'PERMLIMIT value'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.TEMPLIMIT IS 'TEMPLIMIT value'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.MAXTIMEOUT IS 'TIMEOUT value'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.COSTWARNING IS 'COSTWARNING value'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.COSTLIMIT IS 'COSTLIMIT value'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.CREATEDATE IS 'Creation date of the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.CREATETIME IS 'Creation time of the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.ALTERDATE IS 'Alteration date of the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.ALTERTIME IS 'Alteration time of the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.PWCREADATE IS 'Creation date of the password'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.PWCREATIME IS 'Creation time of the password'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.SERVERDB IS 'Name of this database instance'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.SERVERNODE IS 'Name of this server node'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.USER_ID IS 'User identification'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.USERS.COMMENT IS 'Comment on the user'""")

    # Table domain.versions

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.VERSIONS IS 'Version'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VERSIONS.KERNEL IS 'Version of the database server'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VERSIONS.RUNTIMEENVIRONMENT IS 'Version of the runtime environment'""")

    # Table domain.views

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.VIEWS IS 'View tables accessible to the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWS.OWNER IS 'Owner name of the view table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWS.VIEWNAME IS 'View table name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWS.PRIVILEGES IS 'User''s privileges for the view table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWS.TYPE IS 'Type of the table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWS.CREATEDATE IS 'Creation date of the view table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWS.CREATETIME IS 'Creation time of the view table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWS.ALTERDATE IS 'Alteration date of the view table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWS.ALTERTIME IS 'Alteration time of the view table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWS.UPDSTATDATE IS 'Date of the last <update_statistics> performed on the view table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWS.UPDSTATTIME IS 'Time of the last <update_statistics> performed on the view table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWS.UNLOADED IS 'View table is unloaded (yes / no)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWS.COMMENT IS 'Comment on the view table'""")

    # Table domain.viewcolumns

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.VIEWCOLUMNS IS 'Columns in view tables accessible to the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWCOLUMNS.OWNER IS 'Owner name of the view table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWCOLUMNS.VIEWNAME IS 'View table name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWCOLUMNS.VIEWCOLUMNNAME IS 'Column name in the view table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWCOLUMNS.TABLEOWNER IS 'Owner name of the table the column is taken from'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWCOLUMNS.TABLENAME IS 'Name of the table the column is taken from'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWCOLUMNS.COLUMNNAME IS 'Name of the table column the column is taken from'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWCOLUMNS.CREATEDATE IS 'Creation date of the view table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWCOLUMNS.CREATETIME IS 'Creation time of the view table'""")

	# Table domain.viewdefs

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.VIEWDEFS IS 'Definition of a view table accessible to the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWDEFS.OWNER IS 'Owner name of the view table'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWDEFS.VIEWNAME IS 'View table name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWDEFS.LEN IS 'Length of the view table definition'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.VIEWDEFS.DEFINITION IS 'Text of the view table definition'""")


    # table domain.session_roles

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SESSION_ROLES IS 'All roles enabled for the current session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SESSION_ROLES.ROLE IS 'Role name'""")


    # table domain.roles

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.ROLES IS 'All roles accessible to the user'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.ROLES.OWNER IS 'Owner name of the role'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.ROLES.ROLE IS 'Role name'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.ROLES.PASSWORD_REQUIRED IS 'Password required to enable the role ( yes / no )'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.ROLES.GRANTED IS 'Role is granted to current user ( yes / no )'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.ROLES.CREATEDATE IS 'Creation date of the role'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.ROLES.CREATETIME IS 'Creation time of the role'""")


    # table domain.roleprivileges

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.ROLEPRIVILEGES IS 'Privileges granted to roles'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.ROLEPRIVILEGES.OWNER IS 'Owner name of the object granted to the role'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.ROLEPRIVILEGES.TABLENAME IS 'Table name of the granted table privileges'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.ROLEPRIVILEGES.ROLE IS 'Role name of role granted to grantee'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.ROLEPRIVILEGES.GRANTEE IS 'Role name the privileges are granted to'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.ROLEPRIVILEGES.PRIVILEGES IS 'Granted privileges'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.ROLEPRIVILEGES.GRANTOR IS 'User name of the grantor'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.ROLEPRIVILEGES.CREATEDATE IS 'Creation date of the privilege'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.ROLEPRIVILEGES.CREATETIME IS 'Creation time of the privilege'""")

    repmanCmd (session, 'COMMIT')

    # Table domain.sysmon_backupioaccess

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_BACKUPIOACCESS IS 'I/O done during backup/restore'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_BACKUPIOACCESS.DEVID IS 'Identification of the device'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_BACKUPIOACCESS.DEVNAME IS 'Name of the device'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_BACKUPIOACCESS.BACKUPREADS IS 'Number of read calls'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_BACKUPIOACCESS.BACKUPWRITES IS 'Number of write calls'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_BACKUPIOACCESS.BACKUPPAGES IS 'Number of pages read/written'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_BACKUPIOACCESS.QUEUELEN IS 'Number of pending I/O calls'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_BACKUPIOACCESS.QUEUEMAX IS 'Maximal number of pending I/O calls'""")

    # Table domain.sysmon_deviothread

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_DEVIOTHREAD IS 'I/O done by each thread on each devspace'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DEVIOTHREAD.OSPID IS 'Identification of the thread in the OS'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DEVIOTHREAD.THREADNAME IS 'Name of the thread'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DEVIOTHREAD.DEVID IS 'Number of the devspace'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DEVIOTHREAD.DEVNAME IS 'Name of the devspace'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DEVIOTHREAD.READS IS 'Number of read calls'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DEVIOTHREAD.WRITES IS 'Number of write calls'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DEVIOTHREAD.QUEUELEN IS 'Number of pending I/O calls'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DEVIOTHREAD.QUEUEMAX IS 'Maximal number of pending I/O calls'""")

    # Table domain.sysmon_ioaccess

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_IOACCESS IS 'I/O done on each devspace'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_IOACCESS.DEVID IS 'Identification of the devspace'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_IOACCESS.DEVNAME IS 'Name of the devspace'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_IOACCESS.READS IS 'Number of read calls'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_IOACCESS.READPAGES IS 'Number of pages read'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_IOACCESS.WRITES IS 'Number of write calls'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_IOACCESS.WRITEPAGES IS 'Number of pages written'""")

    # Table domain.sysmon_region

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_REGION IS 'Region accesses'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_REGION.REGID IS 'Identification of the region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_REGION.REGIONNAME IS 'Name of the region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_REGION.OWNERDBPID IS 'Task holding the region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_REGION.REQSTDBPID IS 'Task requesting the region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_REGION.ACCESSES IS 'Number of accesses to this region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_REGION.TEST_AND_SET IS 'Number of collisions on an internal mechanism during handling of this region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_REGION.COLLISIONS IS 'Number of collisions between one task holding the region and another one requesting it'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_REGION.COLLISION_RATE IS 'Percentage of accesses which collided'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_REGION.WAITS IS 'Number of collisions which result in joining the waiting queue for this region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_REGION.LOCKED IS 'Currently colliding on internal mechanism during handling of this region'""")

    # Table domain.sysmon_special_thread

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_SPECIAL_THREAD IS 'Special threads'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SPECIAL_THREAD.OSPID IS 'Identification of the thread in the OS'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SPECIAL_THREAD.THREADNAME IS 'Name of the thread'""")

    # Table domain.sysmon_storage

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_STORAGE IS 'Storage needed/unused'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_STORAGE.DESC IS 'Description'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_STORAGE.VAL IS 'Value'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_STORAGE.VDESC IS 'Unit of the value (KB/pages)'""")

    # Table domain.sysmon_ukthread

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_UKTHREAD IS 'Threads containing tasks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_UKTHREAD.OSPID IS 'Identification of the thread in the OS'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_UKTHREAD.THREADNAME IS 'Name of the thread'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_UKTHREAD.DISPATCHCNT IS 'Number of assigments of the CPU to tasks in this UKT'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_UKTHREAD.COMMANDCNT IS 'Number of SQL commands of tasks in this UKT'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_UKTHREAD.TASKS_ACTIVE IS 'Number of currently active tasks in this UKT'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_UKTHREAD.TASKS_TOTAL IS 'Maximum number of tasks in this UKT'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_UKTHREAD.TASKCLUSTER IS 'Specification of numbers and types of tasks in this UKT'""")

    # Table domain.sysmon_task

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_TASK IS 'State and requested resources of tasks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK.DBPID IS 'Identification of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK.OSPID IS 'Identification of the thread in the OS this task belongs to'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK.TASKTYPE IS 'Type of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK.APPID IS 'Identification of connected application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK.STATEDESC IS 'State of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK.CANCEL_FLAG IS 'Task is flagged for cancelling the current operation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK.SPECIAL_FLAG IS 'For future use'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK.TIMEOUT IS 'For user tasks only: request time left'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK.REGID IS 'Number of regions currently hold'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK.WAITING4TASK IS 'Id of the task holding resources this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK.WAITING4ROOT IS 'Id of the tree (root) this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK.EXTENDEDTASKSTATE IS 'Additional information about the task state'""")

    # Table domain.sysmon_active_task

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_ACTIVE_TASK IS 'State and requested resources of active tasks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_ACTIVE_TASK.DBPID IS 'Identification of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_ACTIVE_TASK.OSPID IS 'Identification of the thread in the OS this task belongs to'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_ACTIVE_TASK.TASKTYPE IS 'Type of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_ACTIVE_TASK.APPID IS 'Identification of connected application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_ACTIVE_TASK.STATEDESC IS 'State of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_ACTIVE_TASK.CANCEL_FLAG IS 'Task is flagged for cancelling the current operation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_ACTIVE_TASK.SPECIAL_FLAG IS 'For future use'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_ACTIVE_TASK.TIMEOUT IS 'For user tasks only: request time left'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_ACTIVE_TASK.REGID IS 'Number of regions currently hold'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_ACTIVE_TASK.WAITING4TASK IS 'Id of the task holding resources this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_ACTIVE_TASK.WAITING4ROOT IS 'Id of the tree (root) this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_ACTIVE_TASK.EXTENDEDTASKSTATE IS 'Additional information about the task state'""")

    # Table domain.sysmon_runnable

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_RUNNABLE IS 'State and requested resources of active tasks and tasks which could be active'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_RUNNABLE.DBPID IS 'Identification of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_RUNNABLE.OSPID IS 'Identification of the thread in the OS this task belongs to'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_RUNNABLE.TASKTYPE IS 'Type of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_RUNNABLE.APPID IS 'Identification of connected application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_RUNNABLE.STATEDESC IS 'State of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_RUNNABLE.CANCEL_FLAG IS 'Task is flagged for cancelling the current operation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_RUNNABLE.SPECIAL_FLAG IS 'For future use'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_RUNNABLE.TIMEOUT IS 'For user tasks only: request time left'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_RUNNABLE.REGID IS 'Number of regions currently hold'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_RUNNABLE.WAITING4TASK IS 'Id of the task holding resources this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_RUNNABLE.WAITING4ROOT IS 'Id of the tree (root) this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_RUNNABLE.EXTENDEDTASKSTATE IS 'Additional information about the task state'""")

    # Table domain.sysmon_us

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_US IS 'State and requested resources of user tasks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US.DBPID IS 'Identification of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US.OSPID IS 'Identification of the thread in the OS this task belongs to'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US.TASKTYPE IS 'Type of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US.APPID IS 'Identification of connected application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US.STATEDESC IS 'State of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US.CANCEL_FLAG IS 'Task is flagged for cancelling the current operation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US.SPECIAL_FLAG IS 'For future use'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US.TIMEOUT IS 'Request time left'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US.REGID IS 'Number of regions currently hold'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US.WAITING4TASK IS 'Id of the task holding resources this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US.WAITING4ROOT IS 'Id of the tree (root) this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US.EXTENDEDTASKSTATE IS 'Additional information about the task state'""")

    # Table domain.sysmon_us_active

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_US_ACTIVE IS 'State and requested resources of active user tasks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_ACTIVE.DBPID IS 'Identification of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_ACTIVE.OSPID IS 'Identification of the thread in the OS this task belongs to'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_ACTIVE.TASKTYPE IS 'Type of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_ACTIVE.APPID IS 'Identification of connected application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_ACTIVE.STATEDESC IS 'State of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_ACTIVE.CANCEL_FLAG IS 'Task is flagged for cancelling the current operation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_ACTIVE.SPECIAL_FLAG IS 'For future use'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_ACTIVE.TIMEOUT IS 'Request time left'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_ACTIVE.REGID IS 'Number of regions currently hold'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_ACTIVE.WAITING4TASK IS 'Id of the task holding resources this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_ACTIVE.WAITING4ROOT IS 'Id of the tree (root) this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_ACTIVE.EXTENDEDTASKSTATE IS 'Additional information about the task state'""")

    # Table domain.sysmon_us_runnable

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_US_RUNNABLE  IS 'State and requested resources of active user tasks and user tasks which could be active'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_RUNNABLE.DBPID IS 'Identification of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_RUNNABLE.OSPID IS 'Identification of the thread in the OS this task belongs to'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_RUNNABLE.TASKTYPE IS 'Type of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_RUNNABLE.APPID IS 'Identification of connected application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_RUNNABLE.STATEDESC IS 'State of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_RUNNABLE.CANCEL_FLAG IS 'Task is flagged for cancelling the current operation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_RUNNABLE.SPECIAL_FLAG IS 'For future use'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_RUNNABLE.TIMEOUT IS 'Request time left'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_RUNNABLE.REGID IS 'Number of regions currently hold'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_RUNNABLE.WAITING4TASK IS 'Id of the task holding resources this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_RUNNABLE.WAITING4ROOT IS 'Id of the tree (root) this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_US_RUNNABLE.EXTENDEDTASKSTATE IS 'Additional information about the task state'""")

    # Table domain.sysmon_sv

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_SV IS 'State and requested resources of server tasks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV.DBPID IS 'Identification of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV.OSPID IS 'Identification of the thread in the OS this task belongs to'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV.TASKTYPE IS 'Type of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV.APPID IS 'Identification of connected application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV.STATEDESC IS 'State of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV.CANCEL_FLAG IS 'Task is flagged for cancelling the current operation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV.SPECIAL_FLAG IS 'For future use'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV.TIMEOUT IS 'Unused'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV.REGID IS 'Number of regions currently hold'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV.WAITING4TASK IS 'Id of the task holding resources this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV.WAITING4ROOT IS 'Id of the tree (root) this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV.EXTENDEDTASKSTATE IS 'Additional information about the task state'""")

    # Table domain.sysmon_sv_active

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_SV_ACTIVE IS 'State and requested resources of active server tasks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_ACTIVE.DBPID IS 'Identification of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_ACTIVE.OSPID IS 'Identification of the thread in the OS this task belongs to'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_ACTIVE.TASKTYPE IS 'Type of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_ACTIVE.APPID IS 'Identification of connected application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_ACTIVE.STATEDESC IS 'State of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_ACTIVE.CANCEL_FLAG IS 'Task is flagged for cancelling the current operation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_ACTIVE.SPECIAL_FLAG IS 'For future use'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_ACTIVE.TIMEOUT IS 'Unused'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_ACTIVE.REGID IS 'Number of regions currently hold'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_ACTIVE.WAITING4TASK IS 'Id of the task holding resources this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_ACTIVE.WAITING4ROOT IS 'Id of the tree (root) this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_ACTIVE.EXTENDEDTASKSTATE IS 'Additional information about the task state'""")

    # Table domain.sysmon_sv_runnable

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_SV_RUNNABLE IS 'State and requested resources of active server tasks and server tasks which could be active'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_RUNNABLE.DBPID IS 'Identification of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_RUNNABLE.OSPID IS 'Identification of the thread in the OS this task belongs to'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_RUNNABLE.TASKTYPE IS 'Type of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_RUNNABLE.APPID IS 'Identification of connected application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_RUNNABLE.STATEDESC IS 'State of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_RUNNABLE.CANCEL_FLAG IS 'Task is flagged for cancelling the current operation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_RUNNABLE.SPECIAL_FLAG IS 'For future use'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_RUNNABLE.TIMEOUT IS 'Unused'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_RUNNABLE.REGID IS 'Number of regions currently hold'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_RUNNABLE.WAITING4TASK IS 'Id of the task holding resources this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_RUNNABLE.WAITING4ROOT IS 'Id of the tree (root) this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_SV_RUNNABLE.EXTENDEDTASKSTATE IS 'Additional information about the task state'""")

    # Table domain.sysmon_dw

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_DW IS 'State and requested resources of datawriter tasks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW.DBPID IS 'Identification of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW.OSPID IS 'Identification of the thread in the OS this task belongs to'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW.TASKTYPE IS 'Type of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW.APPID IS 'Identification of connected application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW.STATEDESC IS 'State of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW.CANCEL_FLAG IS 'Task is flagged for cancelling the current operation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW.SPECIAL_FLAG IS 'For future use'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW.TIMEOUT IS 'Unused'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW.REGID IS 'Number of regions currently hold'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW.WAITING4TASK IS 'Id of the task holding resources this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW.WAITING4ROOT IS 'Id of the tree (root) this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW.EXTENDEDTASKSTATE IS 'Additional information about the task state'""")

    # Table domain.sysmon_dw_active

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_DW_ACTIVE IS 'State and requested resources of active datawriter tasks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_ACTIVE.DBPID IS 'Identification of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_ACTIVE.OSPID IS 'Identification of the thread in the OS this task belongs to'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_ACTIVE.TASKTYPE IS 'Type of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_ACTIVE.APPID IS 'Identification of connected application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_ACTIVE.STATEDESC IS 'State of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_ACTIVE.CANCEL_FLAG IS 'Task is flagged for cancelling the current operation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_ACTIVE.SPECIAL_FLAG IS 'For future use'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_ACTIVE.TIMEOUT IS 'Unused'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_ACTIVE.REGID IS 'Number of regions currently hold'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_ACTIVE.WAITING4TASK IS 'Id of the task holding resources this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_ACTIVE.WAITING4ROOT IS 'Id of the tree (root) this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_ACTIVE.EXTENDEDTASKSTATE IS 'Additional information about the task state'""")

    # Table domain.sysmon_dw_runnable

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_DW_RUNNABLE IS 'State and requested resources of active datawriter tasks and datawriter tasks which could be active'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_RUNNABLE.DBPID IS 'Identification of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_RUNNABLE.OSPID IS 'Identification of the thread in the OS this task belongs to'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_RUNNABLE.TASKTYPE IS 'Type of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_RUNNABLE.APPID IS 'Identification of connected application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_RUNNABLE.STATEDESC IS 'State of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_RUNNABLE.CANCEL_FLAG IS 'Task is flagged for cancelling the current operation'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_RUNNABLE.SPECIAL_FLAG IS 'For future use'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_RUNNABLE.TIMEOUT IS 'Unused'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_RUNNABLE.REGID IS 'Number of regions currently hold'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_RUNNABLE.WAITING4TASK IS 'Id of the task holding resources this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_RUNNABLE.WAITING4ROOT IS 'Id of the tree (root) this task is waiting for'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_DW_RUNNABLE.EXTENDEDTASKSTATE IS 'Additional information about the task state'""")

    # Table domain.sysmon_task_detail

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_TASK_DETAIL IS 'Details for each task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.DBPID IS 'Identification of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.TASKNAME IS 'Name of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.STATEDESC IS 'State of the task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.APPL_NODEID IS 'Hostname of the remote connected application'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.APPL_PROCESS IS 'Identification of the connected application in the OS '""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.DISPATCHCNT IS 'Number of assigments of the CPU to this task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.COMMANDCNT IS 'Number of SQL commands of this task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.PRIOCNT IS 'Number of requests for increasing the task priority'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.TASKSELFSUSPCNT IS 'Number of voluntary releases of the CPU in favour of other tasks in this UKT'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.REGIONACCESSCNT IS 'Number of region accesses'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.SIOREADCNT IS 'Number of read calls done by this task (no request to deviothreads)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.SIOREADPAGES IS 'Number of pages read during SIOREADCNT'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.SIOREADAVGABSTIME IS 'Average time needed for each read operation done by this task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.SIOREADTOTABSTIME IS 'Total time needed for each read operation done by this task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.SIOWRITECNT IS 'Number of write calls done by this task (no request to deviothreads)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.SIOWRITEPAGES IS 'Number of pages written during SIOWRITECNT'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.SIOWRITEAVGABSTIME IS 'Average time needed for each write operation done by this task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.SIOWRITETOTABSTIME IS 'Total time needed for each write operation done by this task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.DIOREADCNT IS 'Number of read calls requested by this task and done by a deviothread'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.DIOREADPAGES IS 'Number of pages read by a deviothread'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.DIOREADAVGRELTIME IS 'Average time needed for each read operation done by a deviothread'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.DIOREADTOTRELTIME IS 'Total time needed for each read operation done by a deviothread'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.DIOREADAVGABSTIME IS 'Average waiting time between read request and getting the reply'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.DIOREADTOTABSTIME IS 'Total waiting time between read request and getting the reply'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.DIOWRITECNT IS 'Number of write calls requested by this task and done by a deviothread'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.DIOWRITEPAGES IS 'Number of pages written by a deviothread'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.DIOWRITEAVGRELTIME IS 'Average time needed for each write operation done by a deviothread'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.DIOWRITETOTRELTIME IS 'Total time needed for each write operation done by a deviothread'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.DIOWRITEAVGABSTIME IS 'Average waiting time between write request and getting the reply'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.DIOWRITETOTABSTIME IS 'Total waiting time between write request and getting the reply'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.BKPREADCNT IS 'Number of read calls during backup requested by this task and done by a deviothread'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.BKPREADPAGES IS 'Number of pages read by a deviothread during backup'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.BKPREADAVGRELTIME IS 'Average time needed for each read operation done by a deviothread during backup'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.BKPREADTOTRELTIME IS 'Total time needed for each read operation done by a deviothread during backup'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.BKPREADAVGABSTIME IS 'Average waiting time between read request and getting the reply during backup'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.BKPREADTOTABSTIME IS 'Total waiting time between read request and getting the reply during backup'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.BKPWRITECNT IS 'Number of write calls during backup requested by this task and done by a deviothread'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.BKPWRITEPAGES IS 'Number of pages written by a deviothread during backup'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.BKPWRITEAVGRELTIME IS 'Average time needed for each write operation done by a deviothread during backup'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.BKPWRITETOTRELTIME IS 'Total time needed for each write operation done by a deviothread during backup'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.BKPWRITEAVGABSTIME IS 'Average waiting time between write request and getting the reply during backup'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.BKPWRITETOTABSTIME IS 'Total waiting time between write request and getting the reply during backup'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.VSUSPENDCNT IS 'Number of suspends for this task'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.VSUSPENDAVGRELTIME IS 'Average time for each suspend'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.VSUSPENDTOTRELTIME IS 'Total time for each suspend'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.VSUSPENDAVGABSTIME IS 'Average waiting time between suspending itself and getting the resume'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.VSUSPENDTOTABSTIME IS 'Total waiting time between suspending itself and getting the resume'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.VWAITCNT IS 'Number of waits for releasing SQL locks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.VWAITAVGRELTIME IS 'Average waiting time for a lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.VWAITTOTRELTIME IS 'Total waiting time for a lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.VWAITAVGABSTIME IS 'Average waiting time between suspending itself and getting the lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.VWAITTOTABSTIME IS 'Total waiting time between suspending itself and getting the lock'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.VSLEEPCNT IS 'Number of sleep requests'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.VSLEEPAVGRELTIME IS 'Average sleeping time'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.VSLEEPTOTRELTIME IS 'Total sleeping time'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.VSLEEPAVGABSTIME IS 'Average time between starting of sleep and being awakened'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.VSLEEPTOTABSTIME IS 'Total time between starting of sleep and being awakened'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.CMDCNT IS 'Number of SQL commands during time measurement'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.AVGCMDEXECUTETIME IS 'Average command execution time'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.TOTCMDEXECUTETIME IS 'Total command execution time'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.AVGCMDWAITRELTIME IS 'Average time waiting for SQL command'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.TOTCMDWAITRELTIME IS 'Total time waiting for SQL command'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.AVGCMDWAITABSTIME IS 'Average time between begin of waiting and starting the execution'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TASK_DETAIL.TOTCMDWAITABSTIME IS 'Total time between begin of waiting and starting the execution'""")

    # Table domain.sysmon_totalcount

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.SYSMON_TOTALCOUNT IS 'Sum of task statistics of all tasks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TOTALCOUNT.DISPATCHCNT IS 'Sum of assigments of the CPU to tasks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TOTALCOUNT.COMMANDCNT IS 'Sum of SQL commands'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TOTALCOUNT.VWAITCNT IS 'Sum of waits for releasing SQL locks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TOTALCOUNT.VSUSPENDCNT IS 'Sum of suspends'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TOTALCOUNT.VSLEEPCNT IS 'Sum of sleep requests'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TOTALCOUNT.PRIOCNT IS 'Sum of requests for increasing the task priority'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TOTALCOUNT.USERTASKREADCNT IS 'Sum of read calls requested by user tasks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TOTALCOUNT.USERTASKWRITECNT IS 'Sum of write calls requested by user tasks'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TOTALCOUNT.TASKIOCNT IS 'Sum of I/Os done by all tasks (no request to deviothreads)'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TOTALCOUNT.DEVIOCNT IS 'Sum of I/Os done by all deviothreads'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TOTALCOUNT.REGIONACCESSCNT IS 'Sum of region accesses'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TOTALCOUNT.REGIONCOLLCNT IS 'Sum of regions accesses which collided'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TOTALCOUNT.REGIONWAITCNT IS 'Sum of collisions which result in joining the waiting queue of a region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TOTALCOUNT.VBEGEXCLTASCOLLCNT IS 'Sum of collisions on an internal mechanism during entering any region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TOTALCOUNT.VENDEXCLTASCOLLCNT IS 'Sum of collisions on an internal mechanism during leaving any region'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.SYSMON_TOTALCOUNT.TASKSELFSUSPCNT IS 'Sum of voluntary releases of the CPU in favour of other tasks in the same UKT'""")

    # Table domain.parsinfos

    stopIfSqlNotOK (session, """COMMENT ON TABLE DOMAIN.PARSINFOS IS 'Parsinformation of this session'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.PARSINFOS.SYSINFOKEY IS 'Key of the information'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.PARSINFOS.KEY_SEQ IS 'Number of part of the information'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.PARSINFOS.NAME1 IS 'Name with meaning dependend on TABLETYPE'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.PARSINFOS.NUMERIC_VALUE IS 'Number with meaning dependend on TABLETYPE'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.PARSINFOS.TABLETYPE IS 'Type of the information'""")

    stopIfSqlNotOK (session, """COMMENT ON COLUMN DOMAIN.PARSINFOS.SIZE IS 'Length of the information'""")

    repmanCmd (session, 'COMMIT')

    repmanCmd (session, 'INSTALLATION OFF')

    # End of Install


if __name__ == '__main__':
    connectAndInstall (install, install.__doc__)


