#  Calling Hierarchy
#  =================
#  LSYSTAB ----------+---- SAPDBLOADER.py
#                    |---- TERMCHAR.py  (with DBA as utility)
#                    |---- DBLOAD.py    (with DBA)
#                    |---- SYSDBA.py
#                    |---- INFO.py
#                    |---- SYSSET.py
#                    |---- PRECOM.py
#                    |---- QUERY.py
#                    |---- CNR3TAB.py
#                    |---- ODBC.py
#                    |---- ORADD.py
#                    |---- QP.py
#                    |---- WA.py
#                    |---- XDD.py       (with DOMAIN account)
#                    |---- XDDCOM.py
#                    |---- SHOWCMD.py
#                    +---- DBMVIEWS.py
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#


from installib import *

def install (session,options):
    """Installing tables for instance
    """
    stopIfSqlNotErr (session, -4024, 'DROP PACKAGE SYS_PACKAGE')
    stopIfSqlNotErr (session, -6006,
        'CREATE USER DOMAIN PASSWORD %s DBA NOT EXCLUSIVE' % options.dompwd)
    sqlOK (session, "COMMIT")

#  NMP added PTS 1108439

    repmanCmd (session, 'USE USER DOMAIN %s' % options.dompwd)

    repmanCmd (session, 'INSTALLATION ON')
    repmanCmd (session, 'AUTOCOMMIT OFF')

    rc = sqlRC (session, """SELECT PACKAGE
        FROM SYSDD.DBPROCEDURES
        WHERE OWNER = USER AND PACKAGE = 'SYS_DDL_PACKAGE'""")

    if rc == 0:

        stopIfSqlNotOK (session, 'DROP PACKAGE SYS_DDL_PACKAGE')

    stopIfSqlNotOK (session, """CREATE PACKAGE SYS_DDL_PACKAGE AS 'liveCache.dbpInstall.V72' INPROC""")

    stopIfSqlNotOK (session, "CREATE DBPROC SYSDDLTRIGGER IN SYS_DDL_PACKAGE EXECUTE INPROC")

    sqlOK (session, "COMMIT")

    switchToDefaultUser (session, options)



    include (session, options,
     "SAPDBLOADER",
     "SYSDBA",
     "INFO",
     "SYSSET",
     "PRECOM",
     "QUERY",
     "CNR3TAB",
     "ODBC",
     "ORADD",
     "QP",
     "WA",
     "XDD",
     "XDDCOM",
     "SHOWCMD",
     "DBMVIEWS",
     "TERMCHAR"
        )

if __name__ == '__main__':
    connectAndInstall (install, install.__doc__)
