
/* LiveCacheTypes.idl : IDL source for LiveCacheTypes.dll
*/


#ifndef __LIVECACHETYPES_H__
#define __LIVECACHETYPES_H__

#ifdef __cplusplus
extern "C"{
#endif

#ifdef __cplusplus
#pragma pack(4)
#endif /* __cplusplus */

#include <wchar.h>
typedef long long OmsTypeInt64;

#include <wchar.h>
typedef unsigned long long OmsTypeUInt64;

typedef OmsTypeInt64 OmsTypeInt8;


typedef OmsTypeUInt64 OmsTypeUInt8;


typedef
/*
                uuid(00489FD1-87B7-11d4-B2E4-0050DAE0298C),
                helpstring("LiveCacheType: UNICODE")
*/
        unsigned short   DbpTypeUnicode;

typedef
/*
		uuid(A6DE9A83-6173-11d1-A943-00A0C94311A5),
		helpstring("LiveCacheType: CHAR")
*/
	char   OmsTypeChar;

typedef
/*
		uuid(A6DE9A84-6173-11d1-A943-00A0C94311A5),
		helpstring("LiveCacheType: wchar_t")
*/
	wchar_t			OmsTypeWChar;

typedef
/*
		uuid(A6DE9A85-6173-11d1-A943-00A0C94311A5),
		helpstring("LiveCacheType: BYTE")
*/
	unsigned char	OmsTypeByte;

typedef
/*
		uuid(7B0A5BD0-68F1-11d2-A980-00A0C9430731),
		helpstring("LiveCacheType: INT1")
*/
	signed char	OmsTypeInt1;

typedef
/*
		uuid(92F1D481-A63E-11d3-A997-00A0C94311A5),
		helpstring("LiveCacheType: UINT1")
*/
	unsigned char	OmsTypeUInt1;

typedef
/*
		uuid(25EB01B1-0454-11d3-A994-00A0C94311A5),
		helpstring("LiveCacheType: INT4")
*/
	int 	        OmsTypeInt4;

typedef
/*
		uuid(B02B1C11-09D3-11d3-A994-00A0C94311A5),
		helpstring("LiveCacheType: UINT4")
*/
	unsigned int 	OmsTypeUInt4;

typedef
/*
		uuid(A6DE9A87-6173-11d1-A943-00A0C94311A5),
		helpstring("LiveCacheType: BOOL")
*/
	unsigned char	OmsTypeBool;

typedef
/*
		uuid(2C791281-E895-11d1-A95C-00A0C9430731),
		helpstring("LiveCacheType: ABAP-Timestamp")
*/
	unsigned char   OmsTypeABAPTimeStamp[8];

typedef
/*
		uuid(F2AD8221-A641-11d3-A997-00A0C94311A5),
		helpstring("LiveCacheType: SchemaHandle")
*/
	unsigned int OmsSchemaHandle;

typedef
/*
		uuid(F2AD8222-A641-11d3-A997-00A0C94311A5),
		helpstring("LiveCacheType: ContainerNo")
*/
	unsigned int OmsContainerNo;

typedef
/*
        uuid(74F2C121-27EC-11d3-A996-00A0C9430731),
        helpstring("LiveCache internal Type")
*/
    struct TParamDescriptor {
      OmsTypeInt4    len;
      unsigned char* val;
    } TParamDescriptor;

typedef
/*
	    uuid(6D2A8741-730B-11d1-A946-00A0C9430731),
   	    helpstring("LiveCacheType: OmsTypeOid")
*/
    struct OmsTypeOid {
     OmsTypeUInt4   pno;
     unsigned short pagePos;
     unsigned short generation;
   } OmsTypeOid;


/*
	uuid(4DEA22DD-0417-11d2-A961-00A0C9430731),
	helpstring("LiveCacheType: PACKED(8,3), 15 digits, 3 digits to the right of decimal point")
*/
typedef struct OmsTypePacked_8_3
{
	unsigned char m_packed[8];
} OmsTypePacked_8_3;

typedef OmsTypeChar OmsVersionId[22];

typedef struct OmsLockHandle
{
  unsigned char m_handle[8];
} OmsLockHandle;

typedef enum {
    ABTYPC      = 0,
    ABTYPDATE   = 1,
    ABTYPP      = 2,
    ABTYPTIME   = 3,
    ABTYPX      = 4,
    ABTYPTABH   = 5,
    ABTYPNUM    = 6,
    ABTYPFLOAT  = 7,
    ABTYPINT    = 8,
    ABTYPINT2   = 9,
    ABTYPINT1   = 10,
    ABTYPW      = 11,
    ABTYP1      = 12,
    ABTYP2      = 13,
    ABTYPSTRUC1 = 14,
    ABTYPSTRUC2 = 15,
    ABTYPREF    = 16,
    ABTYPOBJ1   = 17,
    ABTYPOBJ2   = 18,
    ABTYPnull   = 19
	} ABTypes;


typedef struct OmsTypeABAPColDesc {
		unsigned char  inout;
		unsigned char  abap_type;
		unsigned short dec;
		unsigned short length;
		unsigned short offset;
	} OmsTypeABAPColDesc;

/*
	uuid(33B799A1-85BD-11d1-A93F-00A0C944907B)
*/
typedef struct OmsTypeABAPTabHandle {
	    OmsTypeInt4             reserved;
		unsigned short  rowSize;
		unsigned short  colCount;
		OmsTypeInt4     rowCount;
		OmsTypeInt4     ABAPTabId;
		OmsTypeABAPColDesc colDesc[256];
	} OmsTypeABAPTabHandle;

typedef enum {
    STYPE_BOOL  = 0,
	STYPE_I1    = 1,
	STYPE_UI1   = 2,
	STYPE_I2    = 3,
	STYPE_UI2   = 4,
	STYPE_I4    = 5,
	STYPE_UI4   = 6,
	STYPE_I8    = 7,
	STYPE_UI8   = 8,
	STYPE_R4    = 9,
	STYPE_R8    = 10,
	STYPE_INT   = 12,
	STYPE_UINT  = 13,
	STYPE_CHAR  = 14,
	STYPE_WCHAR = 15,
	STYPE_UDT   = 16
	} OmsStreamTypes;

typedef struct OmsTypeStreamMemberDesc {
		unsigned char  inout;
		unsigned char  memberType;
		unsigned short dec;
		unsigned short length;
		unsigned short offset;
	} OmsTypeStreamMemberDesc;

/*
	uuid(EE4B31FB-CF89-11d1-A955-00A0C9430731)
*/

typedef struct OmsTypeStreamHandle {
	    OmsTypeInt4             reserved;
		unsigned short          size;
		unsigned short          memberCount;
		OmsTypeInt4             filler;
		OmsTypeInt4             ABAPTabId;
		OmsTypeStreamMemberDesc colDesc[256];
	} OmsTypeStreamHandle;

#ifdef __cplusplus
#pragma pack()
#endif /* __cplusplus */

#ifdef __cplusplus
}
#endif


#endif
